#include <bits/stdc++.h>

using namespace std;
long long  kec[20],pet[20],dva[20],sve[60];
long long v,vi,ve;
int main (){
kec[1]=1;
pet[1]=5;
dva[1]=2;
for (int i=2;i<=18;i++){
    kec[i]=kec[i-1]*10;
    pet[i]=pet[i-1]*10;
    dva[i]=dva[i-1]*10;
    }
    for (int i=1;i<=55;i++){
        sve[i]=kec[i];
        sve[i+20]=dva[i];
        sve[i+40]=pet[i];
    }
    for (int i=1;i<=60;i++){
     sort(sve,sve+60);
    }
    cin >> v;
    for (int i=1;i<=54;i++){
        if (sve[i]<=v){
            vi=i;
    }
    }
ve=v;
long long br=0;
long long e=4,r=2,t;
for (int i=vi;i>1;i--){
        t=sve[i];
if (t>0){
        e=v/t;
        r=v%t;
        br+=e;
        e=0;
        v=r;
        r=0;
}
}
long long bra;
bra=br/2;
cout <<bra<< endl;


return 0;
}